[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#672210: songwrite doesn't start

Package: songwrite
Version: 0.14-8
Severity: grave
Justification: renders package unusable

Dear Maintainer,

Songwrite fails to start like so:

Traceback (most recent call last):
  File "/usr/bin/songwrite", line 134, in <module>
    import main
  File "/usr/bin/../share/songwrite/main.py", line 21, in <module>
    import globdef, song, player, ui
  File "/usr/bin/../share/songwrite/song.py", line 1352, in <module>
    END_TRACK = struct.pack(">bbb", 0xFF, 0x2F, 0x00)
struct.error: byte format requires -128 <= number <= 127

If I change the shebang line at the top of /usr/bin/songwrite from

#!/usr/bin/python -O


#!/usr/bin/python2.6 -O

it works, so I guess the different bytes implementation from python 2.6 to 2.7
means the code won't work on 2.7, which is current Testing. There are several
calls to struct.pack  elsewhere in the code which have the same problem, but
I'm not sure of the best way to fix it. Changing the format argument (say,
"bbb" to "HHH") fixes it too, but as I've never used struct, I'm just shooting
in the dark.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.4-2012-04-16-02.48 (PREEMPT)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages songwrite depends on:
ii  evince-gtk [postscript-viewer]   3.2.1-1+b1
ii  ghostscript [postscript-viewer]  9.05~dfsg-5
ii  lilypond                         2.14.2-2+b1
ii  python                           2.7.2-10
ii  python-editobj                   0.5.7-9
ii  python-support                   1.0.14
ii  python-tk                        2.7.3-1
ii  timidity                         2.13.2-40

songwrite recommends no packages.

songwrite suggests no packages.

-- no debconf information

Reply to: